/*
 * BarberSimulation.h
 *
 *  Created on: 02.12.2009
 *      Author: ingmar
 */

#ifndef BARBERSIMULATION_H_
#define BARBERSIMULATION_H_

#include <odemx/odemx.h>
#include <list>
#include "CarProducer.h"
#include "Ferry.h"

class Ferry;

class FerrySimulation: public odemx::base::Simulation {
public:
	FerrySimulation(double crossingTimeMean, double crossingTimeDeviation);
	virtual ~FerrySimulation();

	void initSimulation();

	odemx::stats::Tally* getMeanServiceTime();

private:
	double crossingTimeMean;
	double crossingTimeDeviation;
	odemx::stats::Tally* meanServiceTime;
};

#endif /* BARBERSIMULATION_H_ */
