/*
 * main.cpp
 *
 *  Created on: 15.05.2009
 *      Author: ingmar
 */
#include <odemx/odemx.h>

#include "CarProducer.h"
#include "Ferry.h"
#include "FerrySimulation.h"


int main( int argc, char* argv[] )
{

	FerrySimulation* fs1 = new FerrySimulation(7.5, 0.5);
	fs1->runUntil( 60*24*30 );
	
	std::cout << "1: Verteilung(7.5 , 0.5); Durchsatz Autos: " << fs1->getMeanServiceTime()->getUpdateCount() << std::endl;
	std::cout << "2: Verteilung(7.5 , 0.5); Abfertigungsdauer: " << fs1->getMeanServiceTime()->getMean() << " min" << std::endl;
	
	FerrySimulation* fs2 = new FerrySimulation(10.0, 1.0);
	fs2->runUntil( 60*24*30 );
	
	std::cout << "3.a.1: Verteilung(10.0 , 1.0); Durchsatz Autos: " << fs2->getMeanServiceTime()->getUpdateCount() << std::endl;
	std::cout << "3.a.2: Verteilung(10.0 , 1.0); Abfertigungsdauer: " << fs2->getMeanServiceTime()->getMean() << " min" << std::endl;
	
	FerrySimulation* fs3 = new FerrySimulation(15.0, 2.0);
	fs3->runUntil( 60*24*30 );
	
	std::cout << "3.b.1: Verteilung(15.0 , 2.0); Durchsatz Autos: " << fs3->getMeanServiceTime()->getUpdateCount() << std::endl;
	std::cout << "3.b.2: Verteilung(15.0 , 2.0); Abfertigungsdauer: " << fs3->getMeanServiceTime()->getMean() << " min" << std::endl;
	return 0;
}
