/*
 * Car.h
 *
 *  Created on: 28.05.2009
 *      Author: ingmar
 */

#ifndef CAR_H_
#define CAR_H_

#include <odemx/odemx.h>

class Car : public odemx::sync::PortData {
private:
	odemx::base::SimTime loadingTime;
	odemx::base::SimTime serviceStartTime;

public:
	Car(odemx::base::SimTime loadingTime, odemx::base::SimTime now);
	virtual ~Car();

	odemx::base::SimTime getLoadingTime();
	odemx::base::SimTime calculateServiceTime(odemx::base::SimTime serviceEndTime);

};

#endif /* CAR_H_ */
