/*
 * CarProducer.h
 *
 *  Created on: 28.05.2009
 *      Author: ingmar
 */

#ifndef CARPRODUCER_H_
#define CARPRODUCER_H_

#include <odemx/odemx.h>
#include "Car.h"

class CarProducer : public odemx::base::Process {

private:
	odemx::sync::PortTail::Ptr myTail;
	odemx::random::ContinuousDist* arrival;
	odemx::random::ContinuousDist* loading;

public:
	CarProducer(odemx::base::Simulation& sim, std::string label, odemx::sync::PortTail::Ptr myTail, odemx::random::ContinuousDist * arrival, odemx::random::ContinuousDist * loading);
	virtual ~CarProducer();

	virtual int main();
};

#endif /* CARPRODUCER_H_ */
